/*
* $Log: blit.arm.c,v $
* Revision 1.1  2004/02/14 16:22:55  richq
* The code to copy the terrain graphics buffer to the screen.
*
*/
#include "blit.h"
#include "gfx.h"



IN_IWRAM void blit_buffer(void) {
  int i, j;
  u8 * buffer = g_buffer;
  //u16 address = 16; // (x=0,y=0)
  u16 * pAddress = &bg_level.tileData[16];
  u16 val;

  for (j = 0; j < 80; j++) {
    for (i = 0; i < 32; i++) {
      
      val  = (*buffer++);
      val |= (*buffer++)<<4;
      val |= (*buffer++)<<8;
      val |= (*buffer++)<<12;
      
      //4
      *pAddress++ = val;       // 0, then 1
      
      val  = (*buffer++);
      val |= (*buffer++)<<4;
      val |= (*buffer++)<<8;
      val |= (*buffer++)<<12;
      // 8
      *pAddress = val;         // 1
      // 16 (0)
      pAddress+=15;            // 16
    }
    if ((j&7) == 7)
      pAddress -= 14;
    else
      pAddress -= 510;
  }
}

