/*
*  $Log: memory_defs.h,v $
*  Revision 1.1  2004/01/30 22:59:21  Default
*  Static positions in memory of the various in-game tables.
*  The array sizes are known and don't change, so they
*  can be worked out before compiling.
*
*/

#ifndef _memory_defs_h
#define _memory_defs_h

//__ewram_start     = 0x2000000;
//__eheap_end       = 0x2040000;
// lom.gba size ~80kb
#define MEMORY_START        0x2020000

// g_map = (u8*) malloc(MAP_SIZE);
// g_areas = (u8*) malloc(MAP_SIZE);
#define G_MAP_SIZE          (61*64)
#define ADDR_G_MAP          (MEMORY_START)
#define ADDR_G_AREAS        (ADDR_G_MAP + G_MAP_SIZE)
//g_buffer = (u8*)malloc(256*80);
#define G_BUFFER_SIZE       (256*80)
#define ADDR_G_BUFFER       (ADDR_G_AREAS + G_MAP_SIZE)

// g_garrisons = (garrison_t *) malloc(102 * sizeof(garrison_t) );
#define G_GARRISONS_SIZE    (102 * 4)
#define ADDR_G_GARRISONS    (ADDR_G_BUFFER + G_BUFFER_SIZE)

//g_regiments = (regiment_t *) malloc(128 * sizeof(regiment_t) );
//g_freeTable = (army_t *) malloc(MAX_FREE_TABLE * sizeof(army_t) );
//g_doomTable = (army_t *) malloc(MAX_DOOMDARK_TABLE * sizeof(army_t) );
#define G_REGIMENTS_SIZE    (128 * 8)
#define ADDR_G_REGIMENTS    (ADDR_G_GARRISONS + G_GARRISONS_SIZE)
#define G_TABLE_SIZE        (32 * 4)
#define ADDR_G_FREETABLE    (ADDR_G_REGIMENTS + G_REGIMENTS_SIZE)
#define ADDR_G_DOOMTABLE    (ADDR_G_FREETABLE + G_TABLE_SIZE)

//tokenList = (unsigned char *) malloc(TOKEN_LIST_SIZE);
//tokenBuffer = (char *) malloc(TOKEN_BUFFER_SIZE);  
#define G_TOKENLIST_SIZE    (256)
#define ADDR_G_TOKENLIST    (ADDR_G_DOOMTABLE + G_TABLE_SIZE)
#define G_TOKENBUFFER_SIZE  (32)
#define ADDR_G_TOKENBUFFER  (ADDR_G_TOKENLIST + G_TOKENLIST_SIZE)


// lordTable = (lord_t *) malloc(32 * sizeof(lord_t));

#define G_LORDTABLE_SIZE    (32 * 36)
#define ADDR_G_LORDTABLE    (ADDR_G_TOKENBUFFER + G_TOKENBUFFER_SIZE)

/*
MAP           2020000
AREAS         2020f40
BUFFER        2021e80
GARRISONS     2026e80
REGIMENTS     2027018
FREETABLE     2027418
DOOMTABLE     2027498
TOKENLIST     2027518
TOKENBUFFER   2027618
LORDTABLE     2027638
*/
#endif





