/*
* $Log: select.h,v $
* Revision 1.2  2004/01/25 21:27:52  richq
* list of allies for selection. Checks for "is ally" on previous/next.
*
* Revision 1.1  2004/01/22 22:26:01  richq
* Selection of lords. Incomplete at v1.1, but most of the display is there.
*
*
*/

#ifndef _select_h
#define _select_h

#include "gba.h"
/*
Multi use table/counter 
Used for the list of selectable lords 
and for the list of Choices in choose.c
*/
extern int g_selectableThings;
extern u8 g_selectableThingTable[32];

void select(void);

void selectNextLord(void);
void selectPrevLord(void);

// not just for selections...
void clearAndPressKeyText(void);

void makeSelection(void );
void selectDown(void);
void selectUp(void);

#endif

